OpenVDB 7.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
SegmentNodeMask< NodeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | NodeMaskSegmentType = NodeMaskSegment< NodeType >
using | NodeMaskSegmentTypePtr = typename NodeMaskSegmentType::Ptr
using | NodeMaskSegmentVector = typename std::vector< NodeMaskSegmentTypePtr >

## Public Member Functions
| SegmentNodeMask (std::vector< NodeType * > &nodes, NodeMaskSegmentVector *nodeMaskArray)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
NodeType *const *const | mNodes
NodeMaskSegmentVector *const | mNodeMaskArray

## Member Typedef Documentation

## ◆ NodeMaskSegmentType

using NodeMaskSegmentType = NodeMaskSegment<NodeType>

## ◆ NodeMaskSegmentTypePtr

using NodeMaskSegmentTypePtr = typename NodeMaskSegmentType::Ptr

## ◆ NodeMaskSegmentVector

using NodeMaskSegmentVector = typename std::vector<NodeMaskSegmentTypePtr>

## Constructor & Destructor Documentation

## ◆ SegmentNodeMask()

SegmentNodeMask | ( | std::vector< NodeType * > & | nodes,
|  | NodeMaskSegmentVector * | nodeMaskArray
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mNodeMaskArray

NodeMaskSegmentVector* const mNodeMaskArray

## ◆ mNodes

NodeType* const * const mNodes

The documentation for this struct was generated from the following file:

- LevelSetUtil.h